#!/bin/bash

/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R clearcache -g" --manual 1 --category System --event Backup --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R jobs -g" --manual --category System --event Backup --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category Whostmgr --event Accounts::Create --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category Whostmgr --event Accounts::Modify --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category Whostmgr --event Accounts::Remove --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category Whostmgr --event Accounts::suspendacct --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category Whostmgr --event Accounts::unsuspendacct --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category System --event upcp --stage post
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -R hooks" --manual 1 --category System --event upcp --stage pre

/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --run backup --flag" --manual 1 --category System --event Backup --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category Whostmgr --event Accounts::Create --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category Whostmgr --event Accounts::Modify --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category Whostmgr --event Accounts::Remove --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category Whostmgr --event Accounts::suspendacct --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category Whostmgr --event Accounts::unsuspendacct --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category System --event upcp --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup --hooks" --manual 1 --category System --event upcp --stage pre
