'use strict';

define([
	'app'
	], function(app) {

	app.controller('logViewer',
		["$uibModalInstance", "$scope", "log",
			function($uibModalInstance, $scope, log) {

				$scope.log = log;

				$scope.log.start_time_int = $scope.log.start_time ? parseInt((new Date($scope.log.start_time)).getTime() / 1000) : 0;
				$scope.log.end_time_int = $scope.log.end_time ? parseInt((new Date($scope.log.end_time)).getTime() / 1000) : 0;

				if(!$scope.log.end_time_int && $scope.log.status === 6) $scope.log.end_time_int = parseInt((new Date()).getTime() / 1000);
				$scope.log.execution_time = $scope.log.end_time_int && $scope.log.start_time_int ? $scope.log.end_time_int - $scope.log.start_time_int : -1;

				$scope.log.information = [];
				for(var a in $scope.log.info) $scope.log.information.push({ key: a, value: $scope.log.info[a] });
				//if(!data[i].information) data[i].information = '-';

				$scope.ok = function () { $uibModalInstance.close(); };
			}
		]
	);
});