'use strict';

define(['app'], function (app) {
	app.factory('filterManager', function () {


		return {

			buildFilters: function(filtersStructure) {

				var arrangedFilters = [];

				// $scope.data.selectedFilters = [];
				var index = 0;
				for (var i = 0; i < filtersStructure.length; i++) {
					if (filtersStructure[i].cond !== undefined && filtersStructure[i].cond === 1) index++;
					if (arrangedFilters[index] === undefined) arrangedFilters[index] = [];
					arrangedFilters[index].push(filtersStructure[i]._id);
				}
				return arrangedFilters;
			},
			reBuildStructure: function(filtersArr) {

				var filtersStructure = [];

				for(var i = 0; i < filtersArr.length; i++) {
					for(var j = 0; j < filtersArr[i].length; j++) {
						var data = { _id: filtersArr[i][j] };
						if(!(i == 0 && j == 0)) data.cond = j == 0 ? 1 : 2;
						filtersStructure.push(data);
					}
				}
				return filtersStructure;
			},
			removeFilter: function(filters, index) {
				filters.splice(index, 1);
				if(index === 0 && filters[0] !== undefined) delete filters[0].cond;
				return filters;
			}


		}

	});
});