#!/bin/bash

#remove hook if is there from v3.1.4
/usr/local/cpanel/bin/manage_hooks delete script "/usr/bin/jetcli backup -g" --manual --category System --event Backup --stage post

# remove cronjobs
grep -v '/usr/bin/jetcli backup' /var/spool/cron/root > /var/spool/cron/root.tmp
mv -f /var/spool/cron/root.tmp /var/spool/cron/root

# add cPanel update hooks
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup -R hooks" --manual 1 --category System --event upcp --stage post
/usr/local/cpanel/bin/manage_hooks add script "/usr/bin/jetcli backup -R hooks" --manual 1 --category System --event upcp --stage pre



# Create exports dir & remove old folders structure
mkdir -p /usr/local/jetapps/usr/jetbackup/exports
rm -f /usr/local/cpanel/base/frontend/x3/jetbackup
rm -f /usr/local/cpanel/base/frontend/x3/dynamicui/dynamicui_jetbackup*.conf
rm -f /usr/local/cpanel/base/frontend/x3mail/dynamicui/dynamicui_jetbackup*.conf
rm -f /usr/local/cpanel/base/frontend/x3/branding/jetbackup*.png
rm -f /usr/local/cpanel/base/frontend/x3mail/branding/jetbackup*.png

# Creating mongo database
RET=$(/usr/local/jetapps/usr/bin/mongo --quiet --port 27217 /usr/local/jetapps/install/jetbackup/install.mongo)
DB_PASS=$(echo -en "$RET" | head -n1)
mkdir -p /usr/local/jetapps/etc/jetbackup && touch /usr/local/jetapps/etc/jetbackup/config.inc && chmod 600 /usr/local/jetapps/etc/jetbackup/config.inc
echo -e "<?php\n\n\n define('RESTRICT_UI_ITEM', false);\n define('MONGODB_PASS', \""$DB_PASS"\");\n\n?>" > /usr/local/jetapps/etc/jetbackup/config.inc

# Add the migration cron
echo "* * * * * root /usr/local/jetapps/install/jetbackup/scripts-php/migration > /dev/null 2>&1 " >> /etc/cron.d/jetbackup_migration
echo -en "\n" >> /etc/cron.d/jetbackup_migration
